首页 > 亚博体育下载链接 > Laravel5.*常见问题(8)SSL/TLS

Laravel5.*常见问题(8)SSL/TLS

2019-09-12

使用composer安装Laravel框架时,可能会报以下错误
图片描述
注意:

    导致以上错误的原因有三种可能,第一种:php.ini配置文件中没有开启php_openssl扩展文件;第二种:可能是操作系统时间与当前时间不匹配导致;第三种:可能是CA证书问题

解决方案:
第一种:开启扩展文件
打开php.ini文件找到;extension=php_openssl.dll它,然后将前面的分号删除后保存,并重启Apache服务,如下图所示:

图片描述

第二种:修改系统时间(以windows 10为例)
打开控制面板
图片描述
找到“日期和时间”
图片描述
打开后如下图所示
图片描述
图片描述

第三种:配置CA证书
图片描述
首先到https://curl.haxx.se/docs/cae...

然后:在PHP安装目录下新建一个文件夹cacert 来存放CA证书
修改php.ini配置
启用openssl, curl扩展
搜索 extension ,去掉需要开启扩展前的分号注释
extension=curl
extension=openssl
搜索 [curl] 和 [openssl] ,找到curl 和oppenssl 配置模块
;配置CA 证书存放位置
curl.cainfo= C:phpStudyPHPTutorialphpphp-7.2.1-nts/cacert.pemopenssl.cafile=C:phpStudyPHPTutorialphpphp-7.2.1-nts/cacert/cacert.pem
;配置CA 证书目录openssl.capath=C:phpStudyPHPTutorialphpphp-7.2.1-nts/cacert
注意:

    三种解决方法,只要有一种方案能解决问题,就不需要重操作其它方案

重新下载Laravel框架
如下图所示:

图片描述

原文链接:https://segmentfault.com/a/1190000020372743

文章标签: